Package com.independentsoft.graph.calendars

# Enum Class AvailabilityView

java.lang.Object
java.lang.Enum<AvailabilityView>
com.independentsoft.graph.calendars.AvailabilityView

All Implemented Interfaces:
  `Serializable`, `Comparable<AvailabilityView>`, `Constable`

public enum AvailabilityView extends Enum<AvailabilityView>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUSY`
  `FREE`
  `OUT_OF_OFFICE`
  `TENTATIVE`
  `WORKING_ELSEWHERE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AvailabilityView`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static AvailabilityView[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FREE

    public static final AvailabilityView FREE

  - ### TENTATIVE

    public static final AvailabilityView TENTATIVE

  - ### BUSY

    public static final AvailabilityView BUSY

  - ### OUT_OF_OFFICE

    public static final AvailabilityView OUT_OF_OFFICE

  - ### WORKING_ELSEWHERE

    public static final AvailabilityView WORKING_ELSEWHERE

- ## Method Details

  - ### values

    public static AvailabilityView[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AvailabilityView valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null